Bug 106153 - Incorrect calculation of cache expiry times
Incorrect calculation of cache expiry times
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 100952
  Show dependency treegraph
 
Reported: 2003-10-03 07:31 EDT by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 11:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-03 07:31:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020829

Description of problem:
The original code for calculating content item cache expiry time basically just
used the lifecycle expiry date. So if an item is scheduled to be live for 6
months, then the expiry is set to 6 months. This caused great pain for authors
when they needed to edit & republish an item. Thus ItemDispatcher was changed to do:

              minimum(default expiry, lifecycle expiry).

Unfortunately, ContentSectionServlet has reverted to using the original method
of calculating expiry times.

This is fixed in test-packaging in p4 36693, but needs to be ported to Troika.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Publish an item, with a lifecycle ending in 6 months
2. Request the item
3. look at the expiry time.
    

Additional info:
Comment 1 Archit Shah 2003-10-31 17:19:03 EST
fixed at 37573

Note You need to log in before you can comment on or make changes to this bug.